INTERFACE
SUBROUTINE PRE_SLADREP(KSLB2,PGFLT1,PSLBUF2,&
 & PGMVT1X,PGMVT1SX,PGFLT1X,PSLBUF2X) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NFLEVG ,NPROMA ,NGPBLKS
USE YOMSC2 , ONLY : NFLDSLB2
USE YOMGMV , ONLY : GMVT1,GMVT1S,YT1
USE YOM_YGFL , ONLY : YGFL
INTEGER(KIND=JPIM),INTENT(IN) :: KSLB2
REAL(KIND=JPRB) ,INTENT(IN) :: PGFLT1(NPROMA,NFLEVG,YGFL%NDIM1,NGPBLKS)
REAL(KIND=JPRB) ,INTENT(IN) :: PSLBUF2(NPROMA,NFLDSLB2,NGPBLKS)
REAL(KIND=JPRB) ,INTENT(OUT) :: PGMVT1X(NPROMA,NFLEVG,YT1%NDIM,KSLB2)
REAL(KIND=JPRB) ,INTENT(OUT) :: PGMVT1SX(NPROMA,YT1%NDIMS,KSLB2)
REAL(KIND=JPRB) ,INTENT(OUT) :: PGFLT1X(NPROMA,NFLEVG,YGFL%NDIM1,KSLB2)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSLBUF2X(NPROMA,NFLDSLB2,KSLB2)
END SUBROUTINE PRE_SLADREP
END INTERFACE
